Mount entity
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
entityId*integer
Format
int32hand?soulfire.v1.Hand
Which hand to use for an action. Mirrors Minecraft's main-hand / off-hand distinction.
Value in
- "HAND_UNSPECIFIED"
- "HAND_MAIN"
- "HAND_OFF"
connectionEpoch?|
Observation epoch that produced entity_id. When present, the action fails if the bot has reconnected since that observation.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08:mount" \ -H "Content-Type: application/json" \ -d '{ "entityId": 0 }'{ "result": { "actionId": "4a2794ff-94cb-4bac-8d36-d5fb36c563a0", "status": "BOT_ACTION_STATUS_UNSPECIFIED", "error": "string" }, "vehicle": { "connectionEpoch": "string", "networkId": 0, "uuid": "string" }}How is this page?
